[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-2.3.0-111-ga72d02e

by Andre Heinecke cvs at cvs.gnupg.org
Tue Mar 1 17:55:30 CET 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  a72d02e0ba7306355b925194561e45a21598b7fb (commit)
       via  ebe612386fd3e546ad85af809322a2d4615b079a (commit)
       via  29683fb99ebc77f3c18d3aef876ef1bf40dda2d3 (commit)
       via  39ea8f70ee8669d44b683944a429c5092422f4c1 (commit)
      from  a5ca0783e4f902cbe587080e83ecc43d65f8a5b5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a72d02e0ba7306355b925194561e45a21598b7fb
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Tue Mar 1 17:54:51 2016 +0100

    Create qt.conf for Config / Data locations
    
    * src/inst-qtbase.nsi: Create qt.conf
    * src/unist-qtbase.nsi: Uninstall it.

diff --git a/src/inst-qtbase.nsi b/src/inst-qtbase.nsi
index debd4c9..29af596 100644
--- a/src/inst-qtbase.nsi
+++ b/src/inst-qtbase.nsi
@@ -41,6 +41,14 @@ Section "-qtbase" SEC_qtbase
   File ${prefix}/bin/Qt5PrintSupport.dll
   File ${prefix}/bin/Qt5Xml.dll
 
+  push $1
+  FileOpen $1 "$INSTDIR\bin\qt.conf" "w"
+  FileWrite $1 '[StandardPaths]$\r$\n'
+  FileWrite $1 'GenericConfigLocation=%APPDATA%/kleopatra$\r$\n'
+  FileWrite $1 'GenericDataLocation=%APPDATA%/kleopatra$\r$\n'
+  FileClose $1
+  pop $1
+
   SetOutPath "$INSTDIR\bin\platforms"
 
   File ${prefix}/plugins/platforms/qwindows.dll
diff --git a/src/uninst-qtbase.nsi b/src/uninst-qtbase.nsi
index 2a26743..684f3d6 100644
--- a/src/uninst-qtbase.nsi
+++ b/src/uninst-qtbase.nsi
@@ -37,6 +37,7 @@ Section "-un.qtbase"
   Delete "$INSTDIR\bin\Qt5Network.dll"
   Delete "$INSTDIR\bin\Qt5Xml.dll"
   Delete "$INSTDIR\bin\Qt5PrintSupport.dll"
+  Delete "$INSTDIR\bin\qt.conf"
 
   Delete "$INSTDIR\bin\platforms\qwindows.dll"
 

commit ebe612386fd3e546ad85af809322a2d4615b079a
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Tue Mar 1 17:51:51 2016 +0100

    Add patch for KDE4 to KF5 config migration
    
    * Makefile.am (EXTRA_DIST): Add patch.
    * patches/kcoreaddons/
     0001-Fix-Kdelibs4-config-migration-for-Windows.patch: New.
    
    --
    This is KDE Review Request 127245

diff --git a/Makefile.am b/Makefile.am
index 2bc639f..81dbec3 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -37,6 +37,7 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/w32pth-2.0.5/workaround-broken-libtool.patch \
         patches/qttools/disable-most-tools.patch \
         patches/ki18n/no-tests.patch \
+        patches/gpgme-1.6.0/0001-w32-Fallback-to-2.1-reg-key-for-gpgconf-search.patch \
         patches/gpgmepp/0002-disable-variants.patch \
         patches/kmime/0001-Check-for-and-replace-strcasestr.patch \
         patches/kmime/0002-Fix-Windows-build.patch \
@@ -54,7 +55,8 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/kleopatra/0002-Add-alternative-configuredialog-wihout-KCMUtils.patch \
         patches/kleopatra/0003-Add-option-to-disable-KWatchGnuPG.patch \
         patches/kleopatra/0004-Make-DBus-integration-of-the-smime-conf-optional.patch \
-        patches/kleopatra/0005-Hack-generated-conf-files-for-Crosscompiling.patch
+        patches/kleopatra/0005-Hack-generated-conf-files-for-Crosscompiling.patch \
+        patches/kcoreaddons/0001-Fix-Kdelibs4-config-migration-for-Windows.patch
 
 copy-news:
 	cp NEWS doc/website/NEWS.last
diff --git a/patches/kcoreaddons/0001-Fix-Kdelibs4-config-migration-for-Windows.patch b/patches/kcoreaddons/0001-Fix-Kdelibs4-config-migration-for-Windows.patch
new file mode 100755
index 0000000..87ed563
--- /dev/null
+++ b/patches/kcoreaddons/0001-Fix-Kdelibs4-config-migration-for-Windows.patch
@@ -0,0 +1,46 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+From 0de14a576faf93d0a540ce65aa4c5a5a203e35c7 Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke at intevation.de>
+Date: Tue, 1 Mar 2016 17:41:58 +0100
+Subject: [PATCH] Fix Kdelibs4 config migration for Windows
+
+Look for old config in ~/AppData/Roaming/.kde on Windows and
+use GenericConfigLocation instead of ConfigLocation for new
+config.
+---
+ src/lib/util/kdelibs4configmigrator.cpp | 2 +-
+ src/lib/util/kdelibs4migration.cpp      | 3 +++
+ 2 files changed, 4 insertions(+), 1 deletion(-)
+
+diff --git a/src/lib/util/kdelibs4configmigrator.cpp b/src/lib/util/kdelibs4configmigrator.cpp
+index c8560c1..acdb19c 100644
+--- a/src/lib/util/kdelibs4configmigrator.cpp
++++ b/src/lib/util/kdelibs4configmigrator.cpp
+@@ -72,7 +72,7 @@ bool Kdelibs4ConfigMigrator::migrate()
+
+     Q_FOREACH (const QString &configFileName, d->configFiles) {
+         const QString newConfigLocation
+-            = QStandardPaths::writableLocation(QStandardPaths::ConfigLocation)
++            = QStandardPaths::writableLocation(QStandardPaths::GenericConfigLocation)
+               + QLatin1Char('/') + configFileName;
+
+         if (QFile(newConfigLocation).exists()) {
+diff --git a/src/lib/util/kdelibs4migration.cpp b/src/lib/util/kdelibs4migration.cpp
+index f631efa..32a78c0 100644
+--- a/src/lib/util/kdelibs4migration.cpp
++++ b/src/lib/util/kdelibs4migration.cpp
+@@ -41,6 +41,9 @@ Kdelibs4Migration::Kdelibs4Migration()
+         QDir homeDir = QDir::home();
+         QVector<QString> testSubdirs;
+         testSubdirs << QStringLiteral(KDE4_DEFAULT_HOME) << QStringLiteral(".kde4") << QStringLiteral(".kde");
++#ifdef Q_OS_WIN
++        testSubdirs << QStringLiteral("AppData/Roaming/.kde");
++#endif
+         Q_FOREACH (const QString &testSubdir, testSubdirs) {
+             if (homeDir.exists(testSubdir)) {
+                 //qDebug() << "Using" << testSubdir << "as the location of the old config file";
+--
+2.1.4

commit 29683fb99ebc77f3c18d3aef876ef1bf40dda2d3
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Tue Mar 1 15:43:58 2016 +0100

    Fix dependency selection for assuan and zlib
    
    * src/inst-sections.nsi: Select zlib for qt. Select assuan for gpgme.

diff --git a/src/inst-sections.nsi b/src/inst-sections.nsi
index 6a68ea7..9fee78d 100644
--- a/src/inst-sections.nsi
+++ b/src/inst-sections.nsi
@@ -764,6 +764,7 @@ Function CalcDepends
 		${SF_SELECTED} have_qt skip_qt
   have_qt:
   !insertmacro SelectSection ${SEC_libpng}
+  !insertmacro SelectSection ${SEC_zlib}
   skip_qt:
 !endif
 
@@ -774,6 +775,7 @@ Function CalcDepends
   # GPGME does not depend on gnupg2.  Do this in the
   # actual application instead.
   !insertmacro SelectSection ${SEC_libgpg_error}
+  !insertmacro SelectSection ${SEC_libassuan}
 !ifdef HAVE_PKG_QTBASE
   !insertmacro SelectSection ${SEC_qtbase}
 !endif

commit 39ea8f70ee8669d44b683944a429c5092422f4c1
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Tue Mar 1 15:02:51 2016 +0100

    Add Patch to make qtstandardpaths configurable
    
    * Makefile.am (EXTRA_DIST): Add patch.
    * patches/qtbase-5.5.1/config-standardpaths.patch: New.
    
    --
    QStandardPaths is in a bad state by default. It writes config
    data into %LOCALAPPDATA% (without subdir) which does not make
    sense at all.
    
    This patch makes it possible to change this with a qt.conf file

diff --git a/Makefile.am b/Makefile.am
index 708c7bf..2bc639f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -33,6 +33,7 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/qtbase-5.5.1/fix-syssemaphore.patch \
         patches/qtbase-5.5.1/fix-zlib-link.patch \
         patches/qtbase-5.5.1/relative-paths.patch \
+        patches/qtbase-5.5.1/config-standardpaths.patch \
         patches/w32pth-2.0.5/workaround-broken-libtool.patch \
         patches/qttools/disable-most-tools.patch \
         patches/ki18n/no-tests.patch \
diff --git a/patches/qtbase-5.5.1/config-standardpaths.patch b/patches/qtbase-5.5.1/config-standardpaths.patch
new file mode 100755
index 0000000..9a11f26
--- /dev/null
+++ b/patches/qtbase-5.5.1/config-standardpaths.patch
@@ -0,0 +1,291 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+From c6524a252fc362abe5b8412dcabec499ff092143 Mon Sep 17 00:00:00 2001
+From: Patrick Spendrin <ps_ml at gmx.de>
+Date: Tue, 29 Sep 2015 15:47:09 +0200
+Subject: [PATCH] WIP: configurable standardpaths
+
+---
+ src/corelib/global/global.pri         |  1 +
+ src/corelib/global/qlibraryinfo.cpp   | 49 +++++++++++++---------------
+ src/corelib/global/qlibraryinfo_p.h   | 61 +++++++++++++++++++++++++++++++++++
+ src/corelib/io/qstandardpaths.cpp     | 42 ++++++++++++++++++++++++
+ src/corelib/io/qstandardpaths.h       |  2 ++
+ src/corelib/io/qstandardpaths_mac.mm  |  4 +++
+ src/corelib/io/qstandardpaths_win.cpp |  4 ++-
+ 7 files changed, 136 insertions(+), 27 deletions(-)
+ create mode 100644 src/corelib/global/qlibraryinfo_p.h
+
+diff --git a/src/corelib/global/global.pri b/src/corelib/global/global.pri
+index 6a8104b..a905cb2 100644
+--- a/src/corelib/global/global.pri
++++ b/src/corelib/global/global.pri
+@@ -10,6 +10,7 @@ HEADERS +=  \
+         global/qnumeric_p.h \
+         global/qnumeric.h \
+         global/qglobalstatic.h \
++        global/qlibraryinfo_p.h \
+         global/qlibraryinfo.h \
+         global/qlogging.h \
+         global/qtypeinfo.h \
+diff --git a/src/corelib/global/qlibraryinfo.cpp b/src/corelib/global/qlibraryinfo.cpp
+index 0cfcc4e..640e9cf 100644
+--- a/src/corelib/global/qlibraryinfo.cpp
++++ b/src/corelib/global/qlibraryinfo.cpp
+@@ -38,6 +38,7 @@
+ #include "qsettings.h"
+ #include "qlibraryinfo.h"
+ #include "qscopedpointer.h"
++#include "qlibraryinfo_p.h"
+
+ #ifdef QT_BUILD_QMAKE
+ QT_BEGIN_NAMESPACE
+@@ -77,37 +78,33 @@ struct QLibrarySettings
+ };
+ Q_GLOBAL_STATIC(QLibrarySettings, qt_library_settings)
+
+-class QLibraryInfoPrivate
+-{
+-public:
+-    static QSettings *findConfiguration();
+ #ifdef QT_BUILD_QMAKE
+-    static bool haveGroup(QLibraryInfo::PathGroup group)
+-    {
+-        QLibrarySettings *ls = qt_library_settings();
+-        return ls ? (group == QLibraryInfo::EffectiveSourcePaths
+-                     ? ls->haveEffectiveSourcePaths
+-                     : group == QLibraryInfo::EffectivePaths
+-                       ? ls->haveEffectivePaths
+-                       : group == QLibraryInfo::DevicePaths
+-                         ? ls->haveDevicePaths
+-                         : ls->havePaths) : false;
+-    }
++bool QLibraryInfoPrivate::haveGroup(QLibraryInfo::PathGroup group)
++{
++    QLibrarySettings *ls = qt_library_settings();
++    return ls ? (group == QLibraryInfo::EffectiveSourcePaths
++                    ? ls->haveEffectiveSourcePaths
++                    : group == QLibraryInfo::EffectivePaths
++                    ? ls->haveEffectivePaths
++                    : group == QLibraryInfo::DevicePaths
++                        ? ls->haveDevicePaths
++                        : ls->havePaths) : false;
++}
+ #endif
+-    static QSettings *configuration()
+-    {
+-        QLibrarySettings *ls = qt_library_settings();
+-        if (ls) {
++QSettings *QLibraryInfoPrivate::configuration()
++{
++    QLibrarySettings *ls = qt_library_settings();
++    if (ls) {
+ #ifndef QT_BUILD_QMAKE
+-            if (ls->reloadOnQAppAvailable && QCoreApplication::instance() != 0)
+-                ls->load();
++        if (ls->reloadOnQAppAvailable && QCoreApplication::instance() != 0)
++            ls->load();
+ #endif
+-            return ls->settings.data();
+-        } else {
+-            return 0;
+-        }
++        return ls->settings.data();
++    } else {
++        return 0;
+     }
+-};
++}
++
+
+ static const char platformsSection[] = "Platforms";
+
+diff --git a/src/corelib/global/qlibraryinfo_p.h b/src/corelib/global/qlibraryinfo_p.h
+new file mode 100644
+index 0000000..e6e1b15
+--- /dev/null
++++ b/src/corelib/global/qlibraryinfo_p.h
+@@ -0,0 +1,61 @@
++/****************************************************************************
++**
++** Copyright (C) 2015 The Qt Company Ltd.
++** Contact: http://www.qt.io/licensing/
++**
++** This file is part of the QtCore module of the Qt Toolkit.
++**
++** $QT_BEGIN_LICENSE:LGPL21$
++** Commercial License Usage
++** Licensees holding valid commercial Qt licenses may use this file in
++** accordance with the commercial license agreement provided with the
++** Software or, alternatively, in accordance with the terms contained in
++** a written agreement between you and The Qt Company. For licensing terms
++** and conditions see http://www.qt.io/terms-conditions. For further
++** information use the contact form at http://www.qt.io/contact-us.
++**
++** GNU Lesser General Public License Usage
++** Alternatively, this file may be used under the terms of the GNU Lesser
++** General Public License version 2.1 or version 3 as published by the Free
++** Software Foundation and appearing in the file LICENSE.LGPLv21 and
++** LICENSE.LGPLv3 included in the packaging of this file. Please review the
++** following information to ensure the GNU Lesser General Public License
++** requirements will be met: https://www.gnu.org/licenses/lgpl.html and
++** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
++**
++** As a special exception, The Qt Company gives you certain additional
++** rights. These rights are described in The Qt Company LGPL Exception
++** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
++**
++** $QT_END_LICENSE$
++**
++****************************************************************************/
++
++#ifndef QLIBRARYINFO_P_H
++#define QLIBRARYINFO_P_H
++
++//
++//  W A R N I N G
++//  -------------
++//
++// This file is not part of the Qt API.  It exists purely as an
++// implementation detail.  This header file may change from version to
++// version without notice, or even be removed.
++//
++// We mean it.
++//
++
++#include "qsettings.h"
++#include "qlibraryinfo.h"
++
++class QLibraryInfoPrivate
++{
++public:
++    static QSettings *findConfiguration();
++#ifdef QT_BUILD_QMAKE
++    static bool haveGroup(QLibraryInfo::PathGroup group);
++#endif
++    static QSettings *configuration();
++};
++
++#endif
+\ No newline at end of file
+diff --git a/src/corelib/io/qstandardpaths.cpp b/src/corelib/io/qstandardpaths.cpp
+index 74252d1..5bcfe2a 100644
+--- a/src/corelib/io/qstandardpaths.cpp
++++ b/src/corelib/io/qstandardpaths.cpp
+@@ -36,6 +36,13 @@
+ #include <qdir.h>
+ #include <qfileinfo.h>
+ #include <qhash.h>
++// #include <QtCore/private/qlibraryinfo_p.h>
++#if !defined(QT_BUILD_QMAKE) && !defined(QT_NO_SETTINGS) && !defined(QT_BOOTSTRAPPED)
++#include "../global/qlibraryinfo_p.h"
++#endif
++#ifdef Q_OS_WIN
++#include <windows.h>
++#endif
+
+ #ifndef QT_BOOTSTRAPPED
+ #include <qobject.h>
+@@ -655,6 +659,55 @@ bool QStandardPaths::isTestModeEnabled()
+     return qsp_testMode;
+ }
+
++static const char standardPathsSection[] = "StandardPaths";
++
++QString QStandardPaths::presetLocation(StandardLocation type)
++{
++#if !defined(QT_BUILD_QMAKE) && !defined(QT_NO_SETTINGS) && !defined(QT_BOOTSTRAPPED)
++    QStringList locations = QStringList()   << QStringLiteral("DesktopLocation")
++                                            << QStringLiteral("DocumentsLocation")
++                                            << QStringLiteral("FontsLocation")
++                                            << QStringLiteral("ApplicationsLocation")
++                                            << QStringLiteral("MusicLocation")
++                                            << QStringLiteral("MoviesLocation")
++                                            << QStringLiteral("PicturesLocation")
++                                            << QStringLiteral("TempLocation")
++                                            << QStringLiteral("HomeLocation")
++                                            << QStringLiteral("DataLocation")
++                                            << QStringLiteral("CacheLocation")
++                                            << QStringLiteral("GenericDataLocation")
++                                            << QStringLiteral("RuntimeLocation")
++                                            << QStringLiteral("ConfigLocation")
++                                            << QStringLiteral("DownloadLocation")
++                                            << QStringLiteral("GenericCacheLocation")
++                                            << QStringLiteral("GenericConfigLocation")
++                                            << QStringLiteral("AppDataLocation")
++                                            << QStringLiteral("AppConfigLocation")
++                                            << QStringLiteral("AppLocalDataLocation");
++
++    QScopedPointer<const QSettings> settings(QLibraryInfoPrivate::findConfiguration());
++    if (!settings.isNull()) {
++        QString key = QLatin1String(standardPathsSection);
++        key += QLatin1Char('/');
++        key += locations[type];
++        const QString value = settings->value(key).toString();
++#ifdef Q_OS_WIN
++        if (value.isEmpty())
++#endif
++          return value;
++#ifdef Q_OS_WIN
++        wchar_t expandedPath[MAX_PATH] = {0};
++        if (ExpandEnvironmentStrings((wchar_t*)value.utf16(), expandedPath, MAX_PATH)) {
++            return QString::fromWCharArray(expandedPath).replace("\\", "//");
++        }
++        return value;
++#endif
++    }
++#endif // !QT_BUILD_QMAKE && !QT_NO_SETTINGS
++
++    return QString();
++}
++
+
+ QT_END_NAMESPACE
+
+diff --git a/src/corelib/io/qstandardpaths.h b/src/corelib/io/qstandardpaths.h
+index 5c0e08b..2fb29bb 100644
+--- a/src/corelib/io/qstandardpaths.h
++++ b/src/corelib/io/qstandardpaths.h
+@@ -92,6 +92,8 @@ public:
+     static bool isTestModeEnabled();
+
+ private:
++    static QString presetLocation(StandardLocation type);
++
+     // prevent construction
+     QStandardPaths();
+     ~QStandardPaths();
+diff --git a/src/corelib/io/qstandardpaths_mac.mm b/src/corelib/io/qstandardpaths_mac.mm
+index d6126ce..29333bd 100644
+--- a/src/corelib/io/qstandardpaths_mac.mm
++++ b/src/corelib/io/qstandardpaths_mac.mm
+@@ -138,6 +138,10 @@ static QString macLocation(QStandardPaths::StandardLocation type, short domain)
+
+ QString QStandardPaths::writableLocation(StandardLocation type)
+ {
++    const QString result = QStandardPaths::presetLocation(type);
++    if(!result.isEmpty())
++        return result;
++
+     if (isTestModeEnabled()) {
+         const QString qttestDir = QDir::homePath() + QLatin1String("/.qttest");
+         QString path;
+diff --git a/src/corelib/io/qstandardpaths_win.cpp b/src/corelib/io/qstandardpaths_win.cpp
+index b1d5821..76d569d 100644
+--- a/src/corelib/io/qstandardpaths_win.cpp
++++ b/src/corelib/io/qstandardpaths_win.cpp
+@@ -87,7 +87,9 @@ static inline int clsidForAppDataLocation(QStandardPaths::StandardLocation type)
+
+ QString QStandardPaths::writableLocation(StandardLocation type)
+ {
+-    QString result;
++    QString result = QStandardPaths::presetLocation(type);
++    if (!result.isEmpty())
++        return result;
+
+ #if !defined(Q_OS_WINCE)
+     static GetKnownFolderPath SHGetKnownFolderPath = (GetKnownFolderPath)QSystemLibrary::resolve(QLatin1String("shell32"), "SHGetKnownFolderPath");
+--
+2.5.0.windows.1

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                        |   5 +-
 ...Fix-Kdelibs4-config-migration-for-Windows.patch |  46 ++++
 patches/qtbase-5.5.1/config-standardpaths.patch    | 291 +++++++++++++++++++++
 src/inst-qtbase.nsi                                |   8 +
 src/inst-sections.nsi                              |   2 +
 src/uninst-qtbase.nsi                              |   1 +
 6 files changed, 352 insertions(+), 1 deletion(-)
 create mode 100755 patches/kcoreaddons/0001-Fix-Kdelibs4-config-migration-for-Windows.patch
 create mode 100755 patches/qtbase-5.5.1/config-standardpaths.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list